org.eclipse.incquery.viewers.runtime.sources

## Class ListContentProvider

- java.lang.Object
- - org.eclipse.incquery.viewers.runtime.model.listeners.AbstractViewerStateListener
  - - org.eclipse.incquery.viewers.runtime.sources.ListContentProvider

- All Implemented Interfaces:
    IViewerStateListener, org.eclipse.jface.viewers.IContentProvider, org.eclipse.jface.viewers.IStructuredContentProvider

      public class ListContentProvider
      extends AbstractViewerStateListener
      implements org.eclipse.jface.viewers.IStructuredContentProvider

  Author:
    Zoltan Ujhelyi

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListContentProvider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispose()`
    `java.lang.Object[]` | `getElements(java.lang.Object inputElement)`
    `void` | `inputChanged(org.eclipse.jface.viewers.Viewer viewer, java.lang.Object oldInput, java.lang.Object newInput)`
    `void` | `itemAppeared(Item item)`
    `void` | `itemDisappeared(Item item)`

    - ### Methods inherited from class org.eclipse.incquery.viewers.runtime.model.listeners.AbstractViewerStateListener

      `containmentAppeared, containmentDisappeared, edgeAppeared, edgeDisappeared`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListContentProvider

          public ListContentProvider()

  - ### Method Detail

    - #### inputChanged

          public void inputChanged(org.eclipse.jface.viewers.Viewer viewer,
                                   java.lang.Object oldInput,
                                   java.lang.Object newInput)

      Specified by:
        `inputChanged` in interface `org.eclipse.jface.viewers.IContentProvider`

    - #### getElements

          public java.lang.Object[] getElements(java.lang.Object inputElement)

      Specified by:
        `getElements` in interface `org.eclipse.jface.viewers.IStructuredContentProvider`

    - #### itemAppeared

          public void itemAppeared(Item item)

      Specified by:
        `itemAppeared` in interface `IViewerStateListener`
      Overrides:
        `itemAppeared` in class `AbstractViewerStateListener`

    - #### itemDisappeared

          public void itemDisappeared(Item item)

      Specified by:
        `itemDisappeared` in interface `IViewerStateListener`
      Overrides:
        `itemDisappeared` in class `AbstractViewerStateListener`

    - #### dispose

          public void dispose()

      Specified by:
        `dispose` in interface `org.eclipse.jface.viewers.IContentProvider`